<div id="left-block-wrapper">

    <h3>Категорії права</h3>

    <mat-tree [dataSource]="dataSource" [treeControl]="treeControl" class="tree">
<!--         This is the tree node template for leaf nodes -->
        <mat-tree-node *matTreeNodeDef="let node" matTreeNodeToggle>
            <li class="mat-tree-node" (click)="onGoToCategory(node.tid)">
                <!-- use a disabled button to provide padding for tree leaf -->
                <button mat-icon-button disabled></button>
                <button mat-raised-button color="accent" (click)="onDownloadDocuments(node)">
                    {{node.name}}
                </button>
            </li>
        </mat-tree-node>
        <!-- This is the tree node template for expandable nodes -->
        <mat-nested-tree-node *matTreeNodeDef="let node; when: hasChild">
            <li>
                <div class="mat-tree-node">
                    <button mat-icon-button matTreeNodeToggle
                            [attr.aria-label]="'Toggle ' + node.name">
                        <mat-icon class="mat-icon-rtl-mirror">
                            {{treeControl.isExpanded(node) ? 'expand_more' : 'chevron_right'}}
                        </mat-icon>
                    </button>
                    <button mat-raised-button color="primary" (click)="onToggleTree(node)">
                        {{node.name}}
                    </button>                </div>
                <ul [class.tree-invisible]="!treeControl.isExpanded(node)">
                    <ng-container matTreeNodeOutlet></ng-container>
                </ul>
            </li>
        </mat-nested-tree-node>
    </mat-tree>

</div>